Subject: Getting the garbage out AND fixing your DLL .reloc
From: [email-masked] (William Greathouse)

3 Jul 1997 10:52:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------BA09F14E2C5C1BA38253C21E"
>Received: from iago by mailserv.smva.com (AIX 3.2/UCB 5.64/4.03)
          id AA26614; Thu, 3 Jul 1997 11: 16:41 -0400
X-Mailer: Mozilla 4.0b5 [en] (Win95; I)
Original-To: gnu-win32 <[email-masked]>, [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

This is a multi-part message in MIME format.
--------------BA09F14E2C5C1BA38253C21E
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

To All,

Here is the next revision called "peclean.exe".

It will correct the relocation section termination and it will
zero fill the unused portions of the DLL or EXE file.  This eliminates
the problem of having possibly sensitive information within your
distributed code.  It will only display a message on failure or if it
finds and fixes a bad .reloc section.

NOTE:  I use this daily without difficulty, your mileage may vary. Also,
       I have noticed that strip'd DLL's do not always work with other
       applications (The DLL flag is cleared and other problems that I
       have yet to track down).

Enjoy,
Bill
-- 
William Greathouse                | [email-masked]  Email
SMV America, Engineering          | [email-masked]        Email
8380 Darrow Road                  | (216) 425-1340 x4006  Voice
Twinsburg, OH  44087              | (216) 405-7684        FAX
--------------BA09F14E2C5C1BA38253C21E
Content-Type: application/octet-stream; name="peclean.exe"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="peclean.exe"

--------------BA09F14E2C5C1BA38253C21E--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".